var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-53C51112-D44B-411D-8620-4C22D7EDD82A\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Stamps and Stencils</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-53C51112-D44B-411D-8620-4C22D7EDD82A\"></a><div class=\"head\">\n\
            <h1>Stamps and Stencils</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71FC\"></a> A stamp is a bitmap image (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Image\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_image.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Image</a></span>) containing float values that are used as a mask for a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span>. When sculpting, the stamp is transformed to the picked point and aligned to the\n\
            surface normal at that point. The effect factor is calculated as the surface point\n\
            transformed into this stamp space selecting the pixel on the stamp image. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71FB\"></a> Stencils are similar to stamps, but are always aligned to the camera not the surface.\n\
            \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71FA\"></a> A stencil also modifies the effect of the brush by transforming the mouse position\n\
            to stencil space and selecting the pixel from the stencil image. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71F9\"></a> The following methods in <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span> are used for applying stamps and stencils: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71F8\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::MaskBuildUp()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#a4b01dd3a195b09964b822d7d30aad5cb&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::MaskBuildUp()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::IsMaskEnabled()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#af7034f5e9b1dfc43aba3ab36edeff9ac&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::IsMaskEnabled()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::MaskFactor()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#afa2e60dccc92936437c61bf52109d5bf&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::MaskFactor()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::MaskName()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#a11cd24620bea058918054cbc1c86871c&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::MaskName()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::MaskImage()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#acd2dedee8e8cc0b747ce708b68d8c51a&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::MaskImage()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::IsMaskInverted()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#ac1c0010f45ceac29258154d33995bc12&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::IsMaskInverted()</a></span> \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::MaskMatrix()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#ab2238ea630c4f305e75d927a111c4d91&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::MaskMatrix()</a></span> \n\
            </li>\n\
         </ul>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";