var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-632A96DD-546B-4956-900F-4F86EF0DD60C\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Textures</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-632A96DD-546B-4956-900F-4F86EF0DD60C\"></a><div class=\"head\">\n\
            <h1>Textures</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-723C\"></a> A texture (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Texture\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Texture</a></span>) is a 2D array of pixel values like an <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Image\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_image.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Image</a></span>. Textures can be the target of OpenGL texture operations. A texture also supports\n\
            undo and redo operations. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-723B\"></a> In Mudbox, textures are confined to a 0 to 1 UV space. If an object has texture coordinates\n\
            that go outside this 0-1 space, then multiple texture tiles are used to represent\n\
            the texture, one tile per unit region in texture space. The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Texture\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Texture</a></span> class represents a single texture tile, and multiple tiles are contained in a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"TexturePool\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture_pool.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">TexturePool</a></span> class. \n\
         </p>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-723A\"></a> \n\
            <h2><a name=\"GUID-FE7C9AAD-E44E-45F3-BC91-8EAA2C8C8A51\"></a>Texture Classes\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7239\"></a> These classes are for working with textures. \n\
            </p> <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7238\"></a><ul>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Texture\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Texture</a></span> - Represents a texture tile inside a texture pool. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"TextureMixer\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture_mixer.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">TextureMixer</a></span> - Represents a texture mixer. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"TexturePool\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_texture_pool.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">TexturePool</a></span> - This is a container class for simple textures. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"EnvironmentMap\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_environment_map.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">EnvironmentMap</a></span> - A special texture that can be used as an environment texture by using three dimensional\n\
                  texture lookup. \n\
               </li>\n\
            </ul> \n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";