var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-9FCA20A7-DBD9-4BC9-B36F-45CA6E5A93C8\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Mudbox SDK Requirements</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-9FCA20A7-DBD9-4BC9-B36F-45CA6E5A93C8\"></a><div class=\"head\">\n\
            <h1>Mudbox SDK Requirements</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7342\"></a> These are the requirements of the Mudbox SDK. \n\
            	 \n\
         </p>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7341\"></a> \n\
            <h2><a name=\"GUID-C0DF2BF3-C99E-4BCF-8755-B10B3397A24C\"></a>Library Requirements\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7340\"></a> Most Mudbox plug-ins will need to be linked against the Mudbox and Qt C++ libraries\n\
               included with the SDK. \n\
               		\n\
            </p> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-733F\"></a> Plug-in materials that are built on Cg shaders, like the \n\
               		  <span class=\"filePath\" translate=\"no\">ToonMaterial</span> example, will also need to link against the Cg library which is included with the\n\
               SDK. For more information see \n\
               		  <a href=\"http://developer.nvidia.com/object/cg_toolkit.html\" target=\"_blank\">http://developer.nvidia.com/object/cg_toolkit.html</a>. \n\
               		\n\
            </p> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-733E\"></a> Some plug-ins, such as the \n\
               		  <span class=\"filePath\" translate=\"no\">FixedFunctionMaterial</span> sample, use the OpenGL library. The Mudbox SDK is compatible with OpenGL 2.0 or later.\n\
               The Mudbox SDK provides a convenience header file: \n\
               		  <span class=\"filePath\" translate=\"no\">MudBoxGL.h</span> for referencing OpenGL headers, but does not include the OpenGL headers or library\n\
               files themselves. For more information see \n\
               		  <a href=\"http://www.opengl.org/\" target=\"_blank\">http://www.opengl.org/</a>. \n\
               		\n\
            </p> \n\
         </div>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-733D\"></a> \n\
            <h2><a name=\"GUID-64EF4C95-D524-4164-B84C-4DA4C2EA04DF\"></a>Compiler Requirements\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-733C\"></a> Visual Studio 2015 is required to compile plug-ins on Windows. Visual Studio Express\n\
               is not supported. \n\
               		\n\
            </p> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-733A\"></a> XCode version 9 or higher is required to compile plug-ins on MacOS. \n\
               		\n\
            </p> \n\
         </div>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7339\"></a> \n\
            <h2><a name=\"GUID-CF5FB0AF-D055-48BF-917D-FBF2D2C6B18F\"></a>Hardware and Operating System Requirements\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7338\"></a> The Mudbox SDK has the same hardware and operating system requirements as Mudbox.\n\
               \n\
               		\n\
            </p> \n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";