var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-C3A4C576-0BF0-49B3-8A40-00496E131224\" />\n\
      <meta name=\"description\" content=\"This section presents the scene graph and node transformations within the Mudbox SDK.\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Mudbox Scenes</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-C3A4C576-0BF0-49B3-8A40-00496E131224\"></a><div class=\"head\">\n\
            <h1>Mudbox Scenes</h1>\n\
         </div>\n\
         <p class=\"blurb\">This section presents the scene graph and node transformations within the Mudbox SDK.\n\
            \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72E0\"></a> The Mudbox scene is organized as a tree of objects that derive from the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"TreeNode\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_tree_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">TreeNode</a></span> object. The primary scene elements involved in the visual representation of the scene\n\
            derive from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"GroupNode\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_group_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">GroupNode</a></span>. These are: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72DF\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Camera\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_camera.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Camera</a></span> - Represents a camera (point of view) in a Mudbox scene. Only one is active at one\n\
               time. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Geometry\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_geometry.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Geometry</a></span> - Represents a 3d object in the scene. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Light\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_light.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Light</a></span> - Represents a light source in the scene. Derives from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"GroupNode\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_group_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">GroupNode</a></span>. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Transformation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_transformation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Transformation</a></span> - Represents a position, scale, and/or rotation transform of a child node such as\n\
               a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Camera\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_camera.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Camera</a></span>, <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Geometry\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_geometry.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Geometry</a></span> or <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Light\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_light.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Light</a></span>. \n\
            </li>\n\
         </ul>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72DA\"></a> You retrieve a pointer to the scene via a call to <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::Scene()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a8fe027730ddeca179e36494a7fd0b1d4&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::Scene()</a></span>, on the singleton <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/namespacemudbox.html#ae9df9ee935ec6744f98a1585d9db01df&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel</a></span> object. For example: <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/namespacemudbox.html#a3149f816d78d583e4113e3fc9f349a82&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel()</a>-&gt;Scene()</span>. \n\
         </p><span class=\"noindex\">\n\
            <div class=\"topic-list\">\n\
               <h4 class=\"related\">Topics in this section</h4>\n\
               <ul class=\"jumplist\">\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-3DDDC7F6-E9DA-4155-838D-AF7C6B23FE11.htm\">Nodes</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-61680714-C474-422F-957C-7B71826BBD0B.htm\">Attributes</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-86B2C2C8-3742-4D7E-B850-6F7005D79B20.htm\">Scene Graph </a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-877BDAE0-F6E6-4602-BA98-70F006D5A5F0.htm\">Transformations and Coordinate Space Conversions</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-53A22844-EE31-4F4B-B64F-E86B0DC9B311.htm\">Traversing the Scene Graph</a></li>\n\
               </ul>\n\
            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";