var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-2D5459EC-E29C-4073-929D-17DF5664F9AD\" />\n\
      <meta name=\"description\" content=\"This section presents the BrushOperation class, used for sculpting and brushing in the Mudbox SDK.\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Sculpting and Brushes</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2D5459EC-E29C-4073-929D-17DF5664F9AD\"></a><div class=\"head\">\n\
            <h1>Sculpting and Brushes</h1>\n\
         </div>\n\
         <p class=\"blurb\">This section presents the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span> class, used for sculpting and brushing in the Mudbox SDK. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7207\"></a> A sculpting brush is implemented by the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span> class which derives directly from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node</a></span>. A <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span> holds the properties of the brush tools like size, strength, direction, falloff,\n\
            etc. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7206\"></a> Falloffs (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation::FalloffData()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html#a8220984fe85e94f4e609fe51bb5536b4&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation::FalloffData()</a></span>) are arrays containing the points of a NURBS curves with degree 3. The falloff curve\n\
            control points are set when the brush is created. Brushes can have stamps that modify\n\
            the affected area. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7205\"></a> The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Mesh\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Mesh</a></span> class has a number of functions for enumerating the faces starting from a given face\n\
            using an enumerator object which decides whether to continue or halt enumeration in\n\
            a given direction. This callback is used by the rest of the sculpt operation. The\n\
            enumeration always starts from a selected (picked) point. \n\
         </p>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7204\"></a> \n\
            <h2><a name=\"GUID-A3D98000-9DF9-4768-A035-E10112E0958E\"></a>Brush and Enumerator Classes\n\
            </h2> <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7203\"></a><ul>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"BrushOperation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_brush_operation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">BrushOperation</a></span> - The BrushOperation class is the base class for brush functionality. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"VertexEnumerator\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_vertex_enumerator.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">VertexEnumerator</a></span> - A base class for functions that must be applied across mesh vertices. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"AdjacentVertexEnumerator\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_adjacent_vertex_enumerator.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">AdjacentVertexEnumerator</a></span> - A base class for functions that must be applied to all adjacent vertixes. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"FaceEnumerator\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_face_enumerator.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">FaceEnumerator</a></span> - A base class for functions that must be applied across mesh faces. \n\
               </li>\n\
            </ul> \n\
         </div>\n\
         <div class=\"see-also\">\n\
            <h4>See Also</h4>\n\
            <div class=\"related-links\">\n\
               <ul>\n\
                  <li> <span class=\"char_link\"><a href=\"#!/url=./files/GUID-87B90A2A-0593-428A-995F-6F77449CA810.htm\">Picking</a></span> \n\
                  </li>\n\
               </ul>\n\
            </div>\n\
         </div><span class=\"noindex\">\n\
            <div class=\"topic-list\">\n\
               <h4 class=\"related\">Topics in this section</h4>\n\
               <ul class=\"jumplist\">\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-53C51112-D44B-411D-8620-4C22D7EDD82A.htm\">Stamps and Stencils</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-25ADDDF9-CC69-45C8-BE65-189780E04C87.htm\">Writing Brush Plug-ins</a></li>\n\
               </ul>\n\
            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";