var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-877BDAE0-F6E6-4602-BA98-70F006D5A5F0\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Transformations and Coordinate Space Conversions</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-877BDAE0-F6E6-4602-BA98-70F006D5A5F0\"></a><div class=\"head\">\n\
            <h1>Transformations and Coordinate Space Conversions</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72B3\"></a> In the scene hierarchy, the position, rotation, and scale of a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"GroupNode\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_group_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">GroupNode</a></span> object (e.g. <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Camera\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_camera.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Camera</a></span>, <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Geometry\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_geometry.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Geometry</a></span>, or <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Light\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_light.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Light</a></span>) are determined by a parent node which is a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Transformation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_transformation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Transformation</a></span> object. This object can be accessed via the method <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"GroupNode::Transformation()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_group_node.html#a0b592da1b56b4efd97cf136e46e04d39&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">GroupNode::Transformation()</a></span>. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72B2\"></a> The rotation, scale, and translation transformations represented by a single <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Transformation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_transformation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Transformation</a></span> object are applied in the following order: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72B1\"></a><ol type=\"1\" start=\"1\">\n\
            <li>scaling </li>\n\
            <li>rotation </li>\n\
            <li>translation </li>\n\
         </ol>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72AD\"></a> Note that multiple transformations in a hierarchy are not composed. Only a node\'s\n\
            most immediate ancestor transformation is used to determine the position, rotation,\n\
            and scale of an object in the scene. \n\
         </p>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72AC\"></a> \n\
            <h2><a name=\"GUID-8F7D7661-BEEE-4A0A-BDB0-69197D5CE9C0\"></a>Coordinate Systems\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72AB\"></a> Similarly to Autodesk Maya\'s coordinate system, Mudbox\'s Y axis corresponds to the\n\
               up/down axis in the viewport. \n\
            </p> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72AA\"></a> A <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Transformation\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_transformation.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Transformation</a></span> object is also used to perform conversions to and from world and local space coordinate\n\
               systems. \n\
            </p> \n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";