var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MBXPRO\" />\n\
      <meta name=\"release\" content=\"2019\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2018-11-26\" />\n\
      <meta name=\"topicid\" content=\"GUID-BAEE3123-BE21-47F5-B868-24B959A86DC0\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Sculpt Layers</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BAEE3123-BE21-47F5-B868-24B959A86DC0\"></a><div class=\"head\">\n\
            <h1>Sculpt Layers</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71D3\"></a> A sculpt layer (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"LayerMeshData\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer_mesh_data.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">LayerMeshData</a></span>) or 3D layer, is a collection of vertex deltas. For each stored entry, a 3D vector\n\
            and an integer are stored. The 3D vector is the delta value of the vertex in the layer,\n\
            and the stored integer is the index of the vertex. The elements are ordered by their\n\
            vertex index. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71D2\"></a> The mesh always contains the current result of all the layers applied to the surface\n\
            with their current weight. When an operation is completed with a layer (like change\n\
            in the weight, delete or duplicate the layer) all the vertices in the layer are processed\n\
            and the change caused by the operation is calculated and added into the mesh current\n\
            position. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71D1\"></a> For example, if a layer weight is changed from 100% to 50%, the current change is\n\
            the current delta stored in the layer multiplied by 0.5. This vector is then added\n\
            to the current vertex position. Plug-ins and other operations don\'t have to care about\n\
            layers unless they want to modify the delta vector stored in the layer. Sculpt operations\n\
            modify the currently stored delta in the layer. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71D0\"></a> A layer contains only the needed amount of elements, so as the user sculpts, the\n\
            layer array is extended with new data. When the user creates a layer it does not contain\n\
            any data so it does not require any memory. When the brush touches a vertex for the\n\
            first time, Mudbox searches in the current layer for the vertex data with binary search.\n\
            If the vertex is found in the layer, its index is stored in a temporary array. Otherwise,\n\
            a new element is appended to another temporary array with the index of the vertex\n\
            and its new delta. The next time the stroke touches the vertex, a search is not needed\n\
            since the index is already stored in the temporary array. When the stroke finished,\n\
            the array containing the new vertex elements is sorted and merged with the existing\n\
            layer array. \n\
         </p>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";